Bug 304805 - Krunner fires when only space is pressed
Summary: Krunner fires when only space is pressed
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: 4.8.4
Platform: Fedora RPMs Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 16:21 UTC by Kevin Clevenger
Modified: 2012-08-14 13:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Clevenger 2012-08-08 16:21:18 UTC
I have the krunner hotkeys set for CTRL+Space. When no application windows are active on a given desktop (i.e.; desktop is active) krunner lauches when only the spacebar is pressed as well as CTRL+Space.

Reproducible: Always

Steps to Reproduce:
1. Activate desktop 
2. Press the spacebar without control
3.
Actual Results:  
krunner launches

Expected Results:  
krunner should not launch unless CTRL+Space is pressed

F17 x86_64, current updates
Comment 1 Jekyll Wu 2012-08-14 12:58:19 UTC
Git commit d0cf55390afd41fc0b9264fcba93334004bd6994 by Jekyll Wu.
Committed on 14/08/2012 at 14:35.
Pushed by jekyllwu into branch 'KDE/4.9'.

Do not trigger krunner when the Space key is pressed
FIXED-IN: 4.9.1
REVIEW: 105889

M  +4    -3    plasma/desktop/containments/desktop/desktop.cpp

http://commits.kde.org/kde-workspace/d0cf55390afd41fc0b9264fcba93334004bd6994
Comment 2 Jekyll Wu 2012-08-14 13:15:31 UTC
Git commit 9116d752266d48c11a9993335f90c8913ab6d67a by Jekyll Wu.
Committed on 14/08/2012 at 14:35.
Pushed by jekyllwu into branch 'master'.

Do not trigger krunner when the Space key is pressed
FIXED-IN: 4.9.1
REVIEW: 105989

M  +4    -3    plasma/desktop/containments/desktop/desktop.cpp

http://commits.kde.org/kde-workspace/9116d752266d48c11a9993335f90c8913ab6d67a